.projects {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));  
    grid-gap: 2em;
    grid-auto-rows: 250px;
    
    @media (max-width: 576px) {
        grid-template-columns: repeat(auto-fill, minmax(160px, 1fr)); 
        grid-auto-rows: 220px;  
        grid-gap: 1.5em;
    }

    .card {
        width: 100%;
        height: 100%;
        transition: transform;
        transition-duration: 3.5s;
        transform-style: preserve-3d;
        cursor: pointer;
        position: relative;
        z-index: 3; 
       
        
        &__face {
            position: absolute;
            width: 100%;
            height: 100%;
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
            border-radius: 20px;
        }

        &__front {
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center center;
            border-radius: 20px;
           
        }

        &__back {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            transform: rotateY(180deg);
            color: $white;
            text-align: center;
            background-size: cover;
            background-position: center center;
            background-repeat: no-repeat;
           
        }

        .description {
            &__techicons {
                display: flex;
                align-items: center;
                gap: 5px;
            }

            &__title {
                @include text25;
                margin-bottom: 5px;
                
            }

            &__text {
                @include text16;
                margin-bottom: 25px
            }

            &__link {
                @include text18;
            }
        }

        &:hover {
            transform: rotateY(-180deg);
            transition: transform;
            transition-duration: 1s;
        }
    }
}